VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
CustomizationAdapter Class Reference
Standalone Library

ICustomization adapter. More...

Inheritance diagram for CustomizationAdapter:

## Public Member Functions
IController * | createController (const UTF8StringView &name, IController *parent, const IUIDescription *uiDesc) override
| Create a sub controller.
void | onUIDescriptionParsed (const IUIDescription *uiDesc) override
| Notification that the UIDescription was sucessfully parsed.

## Detailed Description

ICustomization adapter.

## Member Function Documentation

IController* createController | ( | const UTF8StringView & | name,
|  | IController * | parent,
|  | const IUIDescription * | uiDesc
| ) |  |
| inline override virtual

Create a sub controller.

A sub controller can be defined in the UI editor for a view and will be responsible as a controller for the view and its children.

The controller will be automatically destroyed when the view is destroyed. You should always create a new controller instance here and do not cache it.

Parameters

  name | name of the sub controller
  parent | the parent controller
  uiDesc | the UIDescription instance

Implements ICustomization.

Reimplemented in Customization.

void onUIDescriptionParsed | ( | const IUIDescription * | uiDesc | ) |
| inline override virtual

Notification that the UIDescription was sucessfully parsed.

This can be used to get some resources from the UIDescription instance.

Parameters

  uiDesc | the UIDescription instance

Implements ICustomization.

The documentation for this class was generated from the following file:

- customization.h